/**
 * 孵化器任务相关逻辑
 * 作者: 李某
 * 任务相关逻辑 包括任务的增删改查 管理后台的任务列表逻辑
 * 
 */

import { TASKTYPEENUM } from "../../config/enum";
import { findEnterpriseListByTaskId } from "../../data/enterprise/enterprise";
import { findFinancingListByTaskId } from "../../data/enterprise/financing";
import { findFuHuaQiTaskByKeyAndUscc } from "../../data/fuHuaQi/task";
import { getTaskId } from "../../util/tools";


/**
 * 获取孵化器的任务列表
 * @param uscc 孵化器的信用标识
 * @returns 
 */
export async function fuHuaQiTaskList(uscc:string) {
    /**
     * 返回格式  [{type:, }]
     */
    let result = [];

    const timeKey = `${new Date().getFullYear()}${new Date().getMonth()+1}`;
    let taskMap = await findFuHuaQiTaskByKeyAndUscc(uscc, timeKey);

    let taskTypeMapConf = {};
    for (let key in TASKTYPEENUM) {
        let k:any = key;
        if (isNaN(k)) taskTypeMapConf[TASKTYPEENUM[key]] = key;
    }
    const TaskId = getTaskId(uscc);

    for (let typeStr in taskTypeMapConf) {
        let typeKey = parseInt(typeStr);
        let onceObj = { key:typeStr, enterpriseList:[]};

        if (!taskMap[typeStr]) { //没有提交任务
            if (TASKTYPEENUM.孵化器月度填报 == typeKey ) {
                // enterpriseList.push();
                continue;
            }

            let dataList = [];
            if (TASKTYPEENUM.新注册或迁入企业登记 == typeKey ) dataList = await findEnterpriseListByTaskId(TaskId);
            if (TASKTYPEENUM.融资企业填报 == typeKey) dataList = await findFinancingListByTaskId(TaskId);
            dataList.forEach(info => {
                onceObj.enterpriseList.push(info.name);
            });
        }
        result.push(onceObj);
    }

    return result;
}
